package com.cym.utils.cert.ssl;
public class Name
{
    private String host;

    private HostObject hostObject;

    private String name;

    private String scheme;

    private int type;

    private String uRI;

    public void setHost(String host){
        this.host = host;
    }
    public String getHost(){
        return this.host;
    }
    public void setHostObject(HostObject hostObject){
        this.hostObject = hostObject;
    }
    public HostObject getHostObject(){
        return this.hostObject;
    }
    public void setName(String name){
        this.name = name;
    }
    public String getName(){
        return this.name;
    }
    public void setScheme(String scheme){
        this.scheme = scheme;
    }
    public String getScheme(){
        return this.scheme;
    }
    public void setType(int type){
        this.type = type;
    }
    public int getType(){
        return this.type;
    }
    public void setURI(String uRI){
        this.uRI = uRI;
    }
    public String getURI(){
        return this.uRI;
    }
}
